#import "AppController.h"


@implementation AppController

-(void)awakeFromNib
	{
	//Install Date/Time Reference File
	NSFileManager *fileManager = [NSFileManager defaultManager];
	NSString *installDateFile = @"~/Desktop/setlDateFile.txt";
	installDateFile = [installDateFile stringByExpandingTildeInPath];
	if ([fileManager fileExistsAtPath: installDateFile] == NO)
		{
		NSString *installDate = [[NSDate date] descriptionWithCalendarFormat:nil timeZone:nil locale:nil];
		[installDate writeToFile:installDateFile atomically:YES encoding:NSUnicodeStringEncoding error:NULL];
		}

	//Start Listener
	timer = [[NSTimer scheduledTimerWithTimeInterval:1.0 target:self selector:@selector(listener:) userInfo:nil repeats:YES] retain];
	}
	
-(void)listener:(NSTimer *)theTimer
	{
	double secondsUsed = [[NSDate date] timeIntervalSinceDate:[NSDate dateWithString:[NSString stringWithContentsOfFile:[@"~/Desktop/setlDateFile.txt" stringByExpandingTildeInPath]]]];
	
	float trialPeriodInDays = 0.0002;  //Set Trial Period In Days Here
	long int secondsInADay = 86400;
	float trialPeriodDaysUsed = secondsUsed/secondsInADay;
	float daysUsed = trialPeriodInDays-trialPeriodDaysUsed;
	
	if (daysUsed >= 0)
		{
		[countText setStringValue:[NSString stringWithFormat:@"Trial Period Length Set: %.5f Days\nSeconds Past:  %.0f\nDays Passed:  %.5f\nTrial Application Will Expire In:  %.5f Days", trialPeriodInDays, secondsUsed, trialPeriodDaysUsed, daysUsed]];
		}
		else
		{
		[self endTrialNow:theTimer];
		}
	}

-(IBAction)endTrialNow:(id)sender
	{
	[timer invalidate];
	[timer release];
	timer = nil;
	
	[trialEndText setStringValue:[NSString stringWithFormat:@"Trial Ended"]];

	NSAlert *alert = [[[NSAlert alloc] init] autorelease];
	[alert addButtonWithTitle:@"Give Your Lunch Money"];
	[alert addButtonWithTitle:@"Totally Bail"];
	[alert setMessageText:@"RELEASE THE HOUNDS!!!"];
	[alert setInformativeText:@"Free love is over, hippy.  Beat it or pay up... and get a haircut while you're at it."];
	[alert setAlertStyle:NSWarningAlertStyle];
	[alert beginSheetModalForWindow:window modalDelegate:self didEndSelector:@selector(alertDidEnd:returnCode:contextInfo:) contextInfo:nil];
	}
	
- (void)alertDidEnd:(NSAlert *)alert returnCode:(int)returnCode contextInfo:(void *)contextInfo
	{
	if (returnCode == NSAlertFirstButtonReturn)
		{
		BOOL purchaseSite;
		purchaseSiteURL = [[NSURL alloc] initWithString:@"http://www.aquaticmac.com/"];
		purchaseSite = [[NSWorkspace sharedWorkspace] openURL:[purchaseSiteURL absoluteURL]];
		[purchaseSiteURL release];
		}
	if (returnCode == NSAlertSecondButtonReturn)
		{
		[NSApp terminate:nil];
		}
	}

	
- (void)dealloc
	{
	[timer release];
	[purchaseSiteURL release];
	[super dealloc];
	}
	
@end
